Subject: bug#41480: Chars out of order in date.c string

From: Pádraig Brady <[email-masked]>
Date: Sat, 23 May 2020 17:41:44 +0100

On 23/05/2020 16:57, Paul Eggert wrote:
> On 5/23/20 4:41 AM, Anders Jonsson wrote:
> 
>> I noticed one thing when having a look at the Swedish translation of coreutils.
>>
>>> #: src/date.c:196
>>> msgid ""
>>> "  %F   full date; like %+4Y-%m-%d\n"
> 
> There must be some confusion here, because this translation is for coreutils
> 8.31 and later.
> 
>> This doesn't give the expected result when I try it in coreutils 8.30 in Debian
>> testing:
> 
> That's because the behavior of coreutils changed in 8.31. The translation string
> you're talking about was introduced in coreutils 8.31, so I'm puzzled as to why
> it'd be used with coreutils 8.30.
> 
> Here's the behavior change in 8.31:
> 
> https://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=188d87b05190690d6f8b0577ec65ef221a711d08
> 
> and here's the closely-related documentation change in 8.31:
> 
> https://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=2ab2f7a422652a9ec887e08ca8935b44e9629505

I think the point is that commonly available online docs
have gotten ahead of commonly available coreutils versions.
When copying and pasting, the issue occurs.

This could be considered too much information anyway
since the distinction only applies to future years beyond the year 9999.
I.E. the "like %Y-%m-%d" is better in the --help and man output,
since it's more concise and compatible.
The info doc can continue to expand on the details.

cheers,
Pádraig.